# Class OpResult.GetChildrenResult

java.lang.Object
org.apache.zookeeper.OpResult
org.apache.zookeeper.OpResult.GetChildrenResult

Enclosing class:
  `OpResult`

public static class OpResult.GetChildrenResult extends OpResult
A result from a getChildren operation. Provides a list which contains the names of the children of a given node.

## Nested Class Summary

### Nested classes/interfaces inherited from class OpResult

`OpResult.CheckResult, OpResult.CreateResult, OpResult.DeleteResult, OpResult.ErrorResult, OpResult.GetChildrenResult, OpResult.GetDataResult, OpResult.SetDataResult`

## Constructor Summary

Constructors
Constructor
Description
`GetChildrenResult(List<String> children)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`List<String>`
`getChildren()`
`int`
`hashCode()`

### Methods inherited from class OpResult

`getType`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GetChildrenResult

public GetChildrenResult(List<String> children)

## Method Details

### getChildren

public List<String> getChildren()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`